Bug 31979 - Wrong Serbian Localized Glyph
Summary: Wrong Serbian Localized Glyph
Status: RESOLVED FIXED
Alias: None
Product: DejaVu
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Deja Vu bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-29 13:41 UTC by Alessandro Ceschini
Modified: 2010-11-30 12:41 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
DejaVu Serif Wrong Serbian Glyph vs. Constantia Right Serbian Glyph (32.59 KB, application/pdf)
2010-11-29 13:42 UTC, Alessandro Ceschini
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alessandro Ceschini 2010-11-29 13:41:06 UTC
DejaVu Serif has the wrong Serbian localized glyph for U+0433 CYRILLIC SMALL LETTER GHE in its italic form. Such glyph is accessed through the locl table as per the OpenType standard. I attached a pdf which shows the wrong glyph contained in DejaVu Serif contrasted with the correct glyph contained in Constantia, a font included in Windows Vista/7.
Comment 1 Alessandro Ceschini 2010-11-29 13:42:02 UTC
Created attachment 40649 [details]
DejaVu Serif Wrong Serbian Glyph vs. Constantia Right Serbian Glyph
Comment 2 Eugeniy Meshcheryakov 2010-11-30 07:33:17 UTC
I fixed this in SVN. The fix should be included in the next release.
Comment 3 Alessandro Ceschini 2010-11-30 12:31:02 UTC
Please excuse my ignorance, what's SVN? If I understood you well, you mean you were already aware of this flaw? So we should consider this bug as solved?
Thank you for your interest.
Comment 4 Ben Laenen 2010-11-30 12:41:57 UTC
SVN = subversion = our repository, where we keep the latest version of the font (version not as in the versions we release). If someone made a patch, he'll commit it to SVN so it becomes available to everyone else.

Eugeniy made a patch to fix this bug today after seeing this bug report, and committed it to SVN. Thus the bug is solved and marked "fixed". It also means that next time we make a release, this bug will be fixed for you as well.


bug/show.html.tmpl processed on Dec 05, 2016 at 08:28:33.
(provided by the Example extension).